Get router metrics summary
curl --request GET \
--url https://v1.api.altostrat.io/api/routers/{siteId}/metrics \
--header 'Authorization: Bearer <token>'import requests
url = "https://v1.api.altostrat.io/api/routers/{siteId}/metrics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://v1.api.altostrat.io/api/routers/{siteId}/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"type": "invalid_request_error",
"code": "parameter_invalid",
"message": "The 'lat' parameter must be between -90 and 90.",
"doc_url": "https://docs.altostrat.io/errors/parameter_invalid"
}{
"type": "invalid_request_error",
"code": "parameter_invalid",
"message": "The 'lat' parameter must be between -90 and 90.",
"doc_url": "https://docs.altostrat.io/errors/parameter_invalid"
}Developer Routers
Get router metrics summary
Get router metrics summary exposed by the SDX developer API for a managed router.
GET
/
api
/
routers
/
{siteId}
/
metrics
Get router metrics summary
Authorizations
Authenticate requests by providing a JSON Web Token (JWT) in the Authorization header. Example: Authorization: Bearer <YOUR_JWT>
Path Parameters
The site/router UUID.
Example:
"9c69345c-8d39-4786-9f17-8153c988c89a"
Response
Router data.
The response is of type object.
Was this page helpful?
⌘I